[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGMapInterfacedObjectData.InsertKeyData

Insert a new key with associated data in the list

## Declaration

Source position: fgl.pp line 427

`public procedure TFPGMapInterfacedObjectData.InsertKeyData(`
`Index: Integer;`
`const AKey: TKey;`
`const AData: TData`
`);`

## Arguments

`Index` |  | Index at which to insert AKey and AData
`AKey` |  | Key to insert in the list
`AData` |  | Data to associate with AKey

## Description

InsertKey inserts key AKey with associated data AData at position Index in the list. It is not allowed to insert a key in a sorted list.

## Errors

If the index AIndex is out of range [0..Count-1], or the list is sorted, an EListError exception will be raised.

## See also

TFPGMapInterfacedObjectData.InsertKey |  | Insert a new key in the list
TFPGMapInterfacedObjectData.Add |  | Add a key and value to the map
TFPSMapInterfacedObjectData.Delete
TFPGMapInterfacedObjectData.Remove |  | Remove a key from the list